# $Revision: 1.58 $, $Date: 2011/04/29 08:07:38 $
Summary:	SJP.pl Polish dictionary for ispell
Summary(pl.UTF-8):	Słownik polski SJP.pl dla ispella
Name:		ispell-pl-alt
Version:	20110429
Release:	1
License:	Creative Commons License (see COPYING)
Group:		Applications/Text
Source0:	http://sjp.pl/slownik/ort/sjp-ispell-pl-%{version}-src.tar.bz2
# Source0-md5:	c9b51b8a8fb8d33cecfb8ab8e32abd97
Source1:	http://creativecommons.org/licenses/sa/1.0/legalcode
URL:		http://www.sjp.pl/slownik/ort/
BuildRequires:	ispell >= 3.2.06
Requires:	ispell >= 3.2.06
Obsoletes:	ispell-polish
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SJP.pl (formerly called "alternative") Polish dictionary for ispell,
done for gaming purposes initially, at the moment contains 2.9 million
words and has one of the best grammatic rules.

%description -l pl.UTF-8
Słownik polski SJP.pl (dawniej znany jako "alternatywny") dla programu
ispell, na początku tworzony do gier ortograficznych, z czasem
przerodził się w jeden z największych (2,9 mln. słów), najlepiej
ubogaconych (m.in. w zasady gramatyczne) oraz najszybciej rozwijanych
słowników.

%prep
%setup -q -n sjp-ispell-pl-%{version}

%build
./build A *

cp %{SOURCE1} ./legalcode.html

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ispell

install polish.aff $RPM_BUILD_ROOT%{_libdir}/ispell/polish-alt.aff
install polish.hash $RPM_BUILD_ROOT%{_libdir}/ispell/polish-alt.hash

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README legalcode.html
%{_libdir}/ispell/polish-alt.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ispell-pl-alt.spec,v $
Revision 1.58  2011/04/29 08:07:38  marti
- up to 20110429

Revision 1.57  2011/01/22 20:10:18  qboosh
- updated to 20110122

Revision 1.56  2010/09/20 16:18:23  blekot
- updated [to 20100920]

Revision 1.55  2010/03/09 08:37:37  amateja
- updated to 20100309

Revision 1.54  2009/11/11 15:12:05  dirdival
- up to 20091111

Revision 1.53  2009/11/11 15:05:30  dirdival
- up to 20091110

Revision 1.52  2009/08/20 07:25:16  amateja
- updated to 20090820

Revision 1.51  2009/06/03 07:37:57  amateja
- updated to 20090603

Revision 1.50  2009/02/27 20:12:19  arvenil
- up to 20090227

Revision 1.49  2008/08/09 23:32:55  rotom
- up to 20080809
- new Source0 URL

Revision 1.48  2007-12-23 16:29:41  blekot
- up to 20071214

Revision 1.47  2007-06-18 14:46:45  rotom
- up to 20070618

Revision 1.46  2007/04/01 18:03:55  rotom
- up to 20070401

Revision 1.45  2007/02/23 21:25:46  rotom
- up to 20070223
- URL fixed

Revision 1.44  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.42  2006/09/02 16:56:48  rotom
- up to 20060902
- new Source URL

Revision 1.41  2006/07/05 18:50:43  rotom
- 20060705

Revision 1.40  2006/06/14 06:47:48  maciek2w
- updated to 20060614

Revision 1.39  2006/05/01 21:45:34  rotom
- 20060501

Revision 1.38  2006/03/17 21:02:39  maciek2w
- updated to 20060317

Revision 1.37  2006/02/17 16:43:44  maciek2w
- updated to 20060217

Revision 1.36  2005/11/11 22:24:04  blekot
- up to 20051111

Revision 1.35  2005/07/26 10:46:01  blekot
- up to 20050726

Revision 1.34  2005/05/17 17:24:01  kolodko
- 20050517

Revision 1.33  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.32  2005/04/14 12:44:17  kolodko
- 20050414

Revision 1.31  2005/02/04 10:43:58  kolodko
- 20050204

Revision 1.30  2005/01/13 18:14:45  kolodko
- 20050113

Revision 1.29  2004/12/16 20:36:19  kolodko
- 20041216

Revision 1.28  2004/08/30 21:50:13  dzeus
- updated to 20040830

Revision 1.27  2004/07/19 16:24:38  ankry
- removed unnecessary O:, rel. 3

Revision 1.26  2004/07/13 15:30:27  ankry
- O: ispell-pl, rel. 2

Revision 1.25  2004/07/05 18:17:45  kolodko
- cosmetics

Revision 1.24  2004/07/05 16:18:16  kolodko
- up to 20040705

Revision 1.23  2004/07/01 14:35:07  jm
- update to 20040629
- changing Source0 ext. from tar.gz to tar.bz2 (fix 404 Not Found - it looks like they switched to bzip2)

Revision 1.22  2004/03/17 23:49:27  eothane
- up to 20040317

Revision 1.21  2004/02/22 22:08:04  eothane
- up to 20040221

Revision 1.20  2004/02/10 19:10:41  eothane
- up to 20040210

Revision 1.19  2004/02/06 15:12:51  eothane
- updated to 20040206

Revision 1.18  2004/02/05 20:25:15  eothane
- updated to 20040205

Revision 1.17  2004/02/04 14:40:39  eothane
- updated to 20040203

Revision 1.16  2004/01/29 16:09:41  eothane
- updated to 20040129

Revision 1.15  2004/01/25 15:27:15  eothane
- updated to 20040125

Revision 1.14  2004/01/16 15:52:10  eothane
- updated to 20040114

Revision 1.13  2004/01/02 14:13:35  eothane
- updated to 20040102

Revision 1.12  2004/01/01 21:52:18  adamg
- updated to 20031230

Revision 1.11  2003/12/02 01:18:19  domelu
- update to 20031201

Revision 1.10  2003/11/10 21:29:30  domelu
- update to 20031108

Revision 1.9  2003/10/04 20:51:24  domelu
- updated to snap 20031004

Revision 1.8  2003/10/02 00:55:48  domelu
- updated to snap 20031001

Revision 1.7  2003/09/26 08:03:11  domelu
- fixed md5sum

Revision 1.6  2003/09/26 07:55:13  domelu
- updated to 20030926

Revision 1.5  2003/09/09 19:36:45  grzegol
- updated to 20030909

Revision 1.4  2003/08/18 08:08:12  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.3  2003/08/14 12:54:02  qboosh
- pl fix, http:// in links

Revision 1.2  2003/08/14 11:45:13  ankry
- description formatting

Revision 1.1  2003/08/14 11:37:30  djurban
- initial
